Quassel IRC - Feature #61

Encrypted query
12/06/2007 03:01 PM - zbenjamin

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

0S: Any

Description

It would be nice to have a way to encrypt a query.

--> CTCP REQUEST CRYPT

Related issues:
Related to Quassel IRC - Feature #689: Blowfish Support Resolved 05/08/2009

History

#1 - 03/04/2008 09:07 PM - xAFFE

What about using libotr! for encryption of private chats? OTR is a standard specific for IM. The best part is, that there is a library ready, so there is not
much need for coding.

[1] http://www.cypherpunks.ca/otr/

#2 - 08/06/2008 12:05 PM - Sputnick

See also FiSH, which supposedly supports encrypted channel chat as well.

libotr seems to be portable, and it is LGPL'd. We might want to think about redistributing it (for static builds especially), or just make it an optional
dependency via a plugin.

If somebody volunteers working on this, | wouldn't be opposed.

#3 - 11/02/2009 09:34 PM - dalbers
- Status changed from Feedback to Closed
- Target version set to 0.6.0

- OS set to Any

Since Issue #689 has a little more information and a more general description, closing this as a duplicate.

#4 - 03/09/2010 08:48 PM - Sputnick
- Target version deleted (0.6.0)
